## kdevplatform 1.7.0

=== CMakeLists.txt ===
# kdevplatform version
set(KDEVPLATFORM_VERSION_MAJOR 1)
set(KDEVPLATFORM_VERSION_MINOR 7)
set(KDEVPLATFORM_VERSION_PATCH 0)

# plugin versions listed in the .desktop files
set(KDEV_PLUGIN_VERSION 17)

# library version / SO version
set(KDEVPLATFORM_LIB_VERSION 8.0.0)
set(KDEVPLATFORM_LIB_SOVERSION 8)

################################################################################

cmake_minimum_required(VERSION 2.8.9)
project(KDevPlatform)

set(CMAKE_MODULE_PATH ${KDevPlatform_SOURCE_DIR}/cmake/modules)

set(KDE_MIN_VERSION "4.7.0")
find_package(KDE4 4.7.0 REQUIRED)

find_package(Grantlee 0.1.7)
find_package(QJSON)
macro_log_feature( Grantlee_FOUND "Grantlee" "Grantlee templating library, needed for file templates" "http://www.grantlee.org/" TRUE "0.1.7")
macro_log_feature( QJSON_FOUND "QJson" "QJson support for Uploading Patches to reviewboard" "http://qjson.sourceforge.net/" FALSE "0.7.0" "The qjson library is needed to enable uploading patches to reviewboard" )

# QJSON <=0.7.1 provides variables with lower case prefix, see bug 331426
if (QJSON_VERSION VERSION_LESS "0.7.2")
    set(QJSON_LIBRARIES   ${qjson_LIBRARIES})
    set(QJSON_INCLUDE_DIR ${qjson_INCLUDE_DIR})
endif()

include (KDE4Defaults)
include (MacroWriteBasicCMakeVersionFile)
include (MacroLibrary)

# Make sure that we're having RPATH on our installed libs, else using kdevelop
# from prefixes like $HOME/kdevelop breaks
# Code taken from FindKDE4Internal.cmake for KDE 4.5
list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${LIB_INSTALL_DIR}"
  _isSystemLibDir)
if("${_isSystemLibDir}" STREQUAL "-1")
  set(CMAKE_INSTALL_RPATH "${LIB_INSTALL_DIR}")
endif("${_isSystemLibDir}" STREQUAL "-1")
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -DQURL_NO_CAST_FROM_QSTRING)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "Intel")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

# Turn off missing-field-initializers warning for GCC to avoid noise from false positives with empty {}
# See discussion: http://mail.kde.org/pipermail/kdevelop-devel/2014-February/046910.html
if (CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-missing-field-initializers")
endif()

if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    # TODO: kf5 remove
    # in Qt 4, clang support is lacking...
    add_definitions("-DQ_COMPILER_INITIALIZER_LISTS=1")
endif()

configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/config-kdevplatform.h.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/config-kdevplatform.h )

include_directories(${KDevPlatform_SOURCE_DIR} ${KDevPlatform_BINARY_DIR} ${KDE4_INCLUDES})
include_directories(${Grantlee_INCLUDE_DIRS})
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/util/)

# Now set the usual KDEVPLATFORM_XXX_LIBRARIES variable so we can more easily move plugins around
set(KDEVPLATFORM_SUBLIME_LIBRARIES sublime)
set(KDEVPLATFORM_INTERFACES_LIBRARIES kdevplatforminterfaces)
set(KDEVPLATFORM_LANGUAGE_LIBRARIES kdevplatformlanguage)
set(KDEVPLATFORM_PROJECT_LIBRARIES kdevplatformproject)
set(KDEVPLATFORM_UTIL_LIBRARIES kdevplatformutil)
set(KDEVPLATFORM_OUTPUTVIEW_LIBRARIES kdevplatformoutputview)
set(KDEVPLATFORM_VCS_LIBRARIES kdevplatformvcs)
set(KDEVPLATFORM_SHELL_LIBRARIES kdevplatformshell)
set(KDEVPLATFORM_TESTS_LIBRARIES kdevplatformtests)
set(KDEVPLATFORM_JSONTESTS_LIBRARIES kdevplatformjsontests)
set(KDEVPLATFORM_DEBUGGER_LIBRARIES kdevplatformdebugger)
set(KDEVPLATFORM_DOCUMENTATION_LIBRARIES kdevplatformdocumentation)

add_subdirectory(sublime)
add_subdirectory(interfaces)
add_subdirectory(project)
add_subdirectory(language)
add_subdirectory(shell)
add_subdirectory(util)
add_subdirectory(outputview)
add_subdirectory(vcs)
add_subdirectory(pics)
#macro_optional_add_subdirectory(doc)
add_subdirectory(debugger)
add_subdirectory(documentation)
if (Grantlee_FOUND)
add_subdirectory(template)
endif()
add_subdirectory(tests)

add_subdirectory(plugins)

macro_write_basic_cmake_version_file( ${KDevPlatform_BINARY_DIR}/KDevPlatformConfigVersion.cmake ${KDEVPLATFORM_VERSION_MAJOR} ${KDEVPLATFORM_VERSION_MINOR} ${KDEVPLATFORM_VERSION_PATCH} )
configure_file( "${KDevPlatform_SOURCE_DIR}/KDevPlatformConfig.cmake.in" "${KDevPlatform_BINARY_DIR}/KDevPlatformConfig.cmake" @ONLY )
configure_file( "${KDevPlatform_SOURCE_DIR}/kdevplatformversion.h.cmake" "${KDevPlatform_BINARY_DIR}/kdevplatformversion.h" @ONLY )

if(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)
    set(_kdevplatform_CONFIG_DEST "${LIB_INSTALL_DIR}/cmake/kdevplatform")
else(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)
    set(_kdevplatform_CONFIG_DEST "${LIB_INSTALL_DIR}/kdevplatform")
endif(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)

install( FILES
        "${KDevPlatform_BINARY_DIR}/kdevplatformversion.h"
        DESTINATION "${INCLUDE_INSTALL_DIR}/kdevplatform" )
install( FILES
        "${KDevPlatform_BINARY_DIR}/config-kdevplatform.h"
        DESTINATION "${INCLUDE_INSTALL_DIR}/kdevplatform" )
install( FILES
        "${KDevPlatform_BINARY_DIR}/KDevPlatformConfig.cmake"
        "${KDevPlatform_BINARY_DIR}/KDevPlatformConfigVersion.cmake"
        DESTINATION "${_kdevplatform_CONFIG_DEST}" )
install( EXPORT KDevPlatformTargets
         DESTINATION "${_kdevplatform_CONFIG_DEST}"
         NAMESPACE KDevPlatformImport__
         FILE KDevPlatformTargets.cmake )

# Put this last, so it can use _kdevplatform_CONFIG_DEST
add_subdirectory(cmake)

include(CTest)

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== documentation/CMakeLists.txt ===
macro_log_feature(QT_QTWEBKIT_FOUND "QtWebKit" "QtWebKit, for integrated documentation" "http://qt-project.org/" TRUE)


set(kdevplatformdocumentation_LIB_SRCS
    standarddocumentationview.cpp
    documentationfindwidget.cpp
    documentationview.cpp
)

kde4_add_ui_files(kdevplatformdocumentation_LIB_SRCS documentationfindwidget.ui)
kde4_add_library(kdevplatformdocumentation SHARED ${kdevplatformdocumentation_LIB_SRCS})

install(TARGETS kdevplatformdocumentation EXPORT KDevPlatformTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )

target_link_libraries(kdevplatformdocumentation
        LINK_PRIVATE ${QT_QTWEBKIT_LIBRARY}
        LINK_PUBLIC kdevplatforminterfaces)

set_target_properties(kdevplatformdocumentation PROPERTIES VERSION ${KDEVPLATFORM_LIB_VERSION} SOVERSION ${KDEVPLATFORM_LIB_SOVERSION})

install(FILES
    documentationexport.h
    documentationfindwidget.h
    standarddocumentationview.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/documentation COMPONENT Devel
 )

=== plugins/CMakeLists.txt ===
macro_optional_add_subdirectory(konsole)
add_subdirectory(filemanager)
add_subdirectory(appwizard)
add_subdirectory(projectmanagerview)
add_subdirectory(genericprojectmanager)
add_subdirectory(standardoutputview)
add_subdirectory(documentview)
add_subdirectory(quickopen)
add_subdirectory(executescript)
add_subdirectory(contextbrowser)
add_subdirectory(snippet)
macro_optional_add_subdirectory(cvs)
add_subdirectory(problemreporter)
add_subdirectory(execute)
add_subdirectory(externalscript)
add_subdirectory(documentswitcher)
add_subdirectory(patchreview)
add_subdirectory(openwith)
add_subdirectory(grepview)
add_subdirectory(pastebin)
add_subdirectory(codeutils)
add_subdirectory(git)
add_subdirectory(bazaar)
add_subdirectory(vcschangesview)
add_subdirectory(templatemanager)
add_subdirectory(filetemplates)
add_subdirectory(testview)
add_subdirectory(switchtobuddy)
add_subdirectory(projectfilter)

macro_optional_add_subdirectory(dashboard)

set(Boost_ADDITIONAL_VERSIONS 1.39.0 1.39)
find_package(Boost 1.35.0)
macro_log_feature( Boost_FOUND "Boost" "Boost libraries for enabling the classbrowser" "http://www.boost.org" FALSE "1.35.0" "The boost libraries are needed to build the Class Browser" )
if(Boost_FOUND)
    macro_optional_add_subdirectory(classbrowser)
endif(Boost_FOUND)

find_package(SubversionLibrary)
macro_log_feature( SUBVERSION_FOUND "Subversion" "Support for Subversion integration" "http://subversion.tigris.org" FALSE "1.3.0" "The subversion libraries are needed for the Subversion support" )

if(SUBVERSION_FOUND)
    macro_optional_add_subdirectory(subversion)
endif(SUBVERSION_FOUND)

if(QJSON_FOUND)
    macro_optional_add_subdirectory(reviewboard)
endif(QJSON_FOUND)

macro_display_feature_log()

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(zh_CN)
add_subdirectory(pl)
add_subdirectory(pt_BR)
add_subdirectory(bs)
add_subdirectory(nl)
add_subdirectory(es)
add_subdirectory(pt)
add_subdirectory(sk)
add_subdirectory(zh_TW)
add_subdirectory(et)
add_subdirectory(it)
add_subdirectory(gl)
add_subdirectory(ru)
add_subdirectory(kk)
add_subdirectory(sl)
add_subdirectory(ca)
add_subdirectory(sv)
add_subdirectory(de)
add_subdirectory(uk)
add_subdirectory(fr)
add_subdirectory(nb)
add_subdirectory(th)
add_subdirectory(ca@valencia)
add_subdirectory(da)
add_subdirectory(fi)
add_subdirectory(en_GB)
add_subdirectory(el)

=== plugins/dashboard/CMakeLists.txt ===
project(kdev-project-dashboard)
add_subdirectory(plasmoids)
add_subdirectory(declarative)

set(kdevprojectdasboard_SRCS
    appletselector.cpp
    dashboard.cpp
    dashboardcorona.cpp
    
    dashboardview.cpp
    dashboarddocument.cpp
    dashboardpluginloader.cpp
    dashboarddataengine.cpp
    kdevprojectdashboard.cpp)

kde4_add_ui_files(kdevprojectdasboard_SRCS appletselector.ui)
kde4_add_plugin(kdevprojectdashboard ${kdevprojectdasboard_SRCS})
target_link_libraries(kdevprojectdashboard ${KDE4_KDECORE_LIBS} ${KDE4_PLASMA_LIBS}
                        ${KDEVPLATFORM_INTERFACES_LIBRARIES} ${KDEVPLATFORM_PROJECT_LIBRARIES} ${KDEVPLATFORM_UTIL_LIBRARIES} ${KDEVPLATFORM_SUBLIME_LIBRARIES})

install(TARGETS kdevprojectdashboard DESTINATION ${PLUGIN_INSTALL_DIR} )
configure_file(kdevprojectdashboard.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevprojectdashboard.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdevprojectdashboard.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== util/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

set(embeddedfreetreetest_SRCS test_embeddedfreetree.cpp)

kde4_add_unit_test(embeddedfreetreetest ${embeddedfreetreetest_SRCS})
target_link_libraries(embeddedfreetreetest ${KDE4_KDECORE_LIBS} ${KDE4_TEXTEDITOR_LIBS} ${QT_QTTEST_LIBRARY} kdevplatformlanguage kdevplatformtests)

set(kdevvarlengtharray_SRC test_kdevvarlengtharray.cpp)
kde4_add_unit_test(kdevvarlengtharraytest ${kdevvarlengtharray_SRC})
target_link_libraries(kdevvarlengtharraytest ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY})

kde4_add_unit_test(pathtest test_path.cpp)
target_link_libraries(pathtest
    ${QT_QTTEST_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    kdevplatformtests
    kdevplatformlanguage
    kdevplatformproject
)

=== vcs/tests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

# TODO: renable once someone knows what this is supposed to do and the code is cleaned up
# set(vcsBlackboxTest_SRCS vcsBlackBoxTest.cpp)
# kde4_add_unit_test(vcsBlackBoxTest ${vcsBlackboxTest_SRCS})
# target_link_libraries(vcsBlackBoxTest
#                       ${QT_QTTEST_LIBRARY}
#                       ${QT_QTGUI_LIBRARY}
#                       ${KDE4_KDECORE_LIBS}
#                       kdevplatformutil
#                       kdevplatformvcs
#                       kdevplatformtests
#                      )
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

=== language/codegen/tests/CMakeLists.txt ===
set(documentchangesettest_SRCS test_documentchangeset.cpp)

kde4_add_unit_test(documentchangesettest ${documentchangesettest_SRCS})
target_link_libraries(documentchangesettest ${QT_QTTEST_LIBRARY} kdevplatformtests kdevplatformlanguage)

set(templaterenderertest_SRCS test_templaterenderer.cpp)

kde4_add_unit_test(templaterenderertest ${templaterenderertest_SRCS})
target_link_libraries(templaterenderertest ${QT_QTTEST_LIBRARY} kdevplatformtests kdevplatformlanguage)

set(templateclassgeneratortest_SRCS test_templateclassgenerator.cpp)

kde4_add_unit_test(templateclassgeneratortest ${templateclassgeneratortest_SRCS})
target_link_libraries(templateclassgeneratortest ${QT_QTTEST_LIBRARY} kdevplatformtests kdevplatformlanguage)

set(templatesmodeltest_SRCS test_templatesmodel.cpp)

kde4_add_unit_test(templatesmodeltest ${templatesmodeltest_SRCS})
target_link_libraries(templatesmodeltest ${QT_QTTEST_LIBRARY} kdevplatformtests kdevplatformlanguage)

configure_file(codegen_tests_config.h.cmake codegen_tests_config.h)
add_subdirectory(data)

=== debian/changelog ===
kdevplatform (1.7.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable (see #759494).

 -- Pino Toscano <pino@debian.org>  Tue, 23 Sep 2014 21:53:54 +0200

kdevplatform (1.7.0-1) experimental; urgency=medium

  * New upstream release.

  [ Andreas Cord-Landwehr ]
  * Rename packages due to soname bump:
    - kdevplatform7-libs -> kdevplatform8-libs
    - libsublime7 -> libsublime8
  * Update install files.
  * Update copyright.

  [ Pino Toscano ]
  * Update copyright.
  * Update install files.
  * Bump the debhelper compatibility to 9:
    - bump compat to 9
    - bump the debhelper build dependency to 9
  * Convert rules to the dh sequencer with kde addon.
  * Remove unused cdbs build dependency.

  [ Sune Vuorela ]
  * Switch a script to /bin/bash - it uses bash specific features.

 -- Sune Vuorela <sune@debian.org>  Fri, 19 Sep 2014 23:42:58 +0200

=== debian/control ===
Source: kdevplatform
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Jeremy Lainé <jeremy.laine@m4x.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cmake (>= 2.8.0),
               debhelper (>= 9),
               kdelibs5-dev (>= 4:4.7.0),
               libboost-serialization-dev,
               libgrantlee-dev (>= 0.1.7),
               libqjson-dev,
               libqtwebkit-dev,
               libsvn-dev,
               pkg-kde-tools (>= 0.9.0)
Standards-Version: 3.9.5
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevplatform.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevplatform.git

Package: kdevplatform8-libs
Architecture: any
Depends: libsublime8 (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: kdevelop (<< 4:3.9.96-1),
          kdevelop-data (<< 4:3.9.96-1),
          kdevplatform1-libs,
          kdevplatform2-libs,
          kdevplatform3-libs,
          kdevplatform5-libs,
          kdevplatform7-libs
Breaks: kdevplatform1-libs,
        kdevplatform2-libs,
        kdevplatform3-libs,
        kdevplatform5-libs,
        kdevplatform7-libs
Suggests: cvs, git, kdevplatform-l10n, konsole
Description: shared libraries for the KDevelop platform
 This package contains shared libraries needed to run integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dev
Section: libdevel
Architecture: any
Depends: kdevplatform8-libs (= ${binary:Version}),
         libsublime-dev (>= ${source:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:kdevplatform8-libs}
Description: development files for the KDevelop platform
 This package contains development files for building integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdelibs5-dbg,
         kdevplatform8-libs (= ${binary:Version}),
         libsublime8 (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for the KDevelop platform
 This package contains the debugging symbols associated with kdevplatform.
 They will automatically be used by gdb for debugging kdevplatform-related
 issues.
 .
 This package is part of the KDevelop platform.

Package: libsublime8
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: User interface library
 sublime provides a user interface that supports multiple
 mainwindows, multiple dockwidgets, split views and areas
 .
 This package is part of the KDevelop platform.

Package: libsublime-dev
Section: libdevel
Architecture: any
Depends: libsublime8 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libsublime8}
Description: development files for the sublime user interface library
 This package contains development files for building applications using
 libsublime.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Replaces: kdevplatform-l10n-ca,
          kdevplatform-l10n-cavalencia,
          kdevplatform-l10n-da,
          kdevplatform-l10n-de,
          kdevplatform-l10n-engb,
          kdevplatform-l10n-es,
          kdevplatform-l10n-et,
          kdevplatform-l10n-fi,
          kdevplatform-l10n-fr,
          kdevplatform-l10n-gl,
          kdevplatform-l10n-hu,
          kdevplatform-l10n-it,
          kdevplatform-l10n-nds,
          kdevplatform-l10n-nl,
          kdevplatform-l10n-pt,
          kdevplatform-l10n-ptbr,
          kdevplatform-l10n-ru,
          kdevplatform-l10n-sl,
          kdevplatform-l10n-sv,
          kdevplatform-l10n-th,
          kdevplatform-l10n-tr,
          kdevplatform-l10n-uk,
          kdevplatform-l10n-zhcn,
          kdevplatform-l10n-zhtw
Breaks: kdevplatform-l10n-ca,
        kdevplatform-l10n-cavalencia,
        kdevplatform-l10n-da,
        kdevplatform-l10n-de,
        kdevplatform-l10n-engb,
        kdevplatform-l10n-es,
        kdevplatform-l10n-et,
        kdevplatform-l10n-fi,
        kdevplatform-l10n-fr,
        kdevplatform-l10n-gl,
        kdevplatform-l10n-hu,
        kdevplatform-l10n-it,
        kdevplatform-l10n-nds,
        kdevplatform-l10n-nl,
        kdevplatform-l10n-pt,
        kdevplatform-l10n-ptbr,
        kdevplatform-l10n-ru,
        kdevplatform-l10n-sl,
        kdevplatform-l10n-sv,
        kdevplatform-l10n-th,
        kdevplatform-l10n-tr,
        kdevplatform-l10n-uk,
        kdevplatform-l10n-zhcn,
        kdevplatform-l10n-zhtw
Suggests: kde-l10n
Description: language package for the KDevelop platform
 This package contains the localization files for applications using
 the KDevelop platform.
 .
 This package is part of the KDevelop platform.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde

override_dh_strip:
	dh_strip --dbg-package=kdevplatform-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V -Xusr/lib/kde4/

override_dh_shlibdeps:
	dh_shlibdeps
	dh_sameversiondep

.PHONY: override_dh_auto_test

## kdevplatform 1.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # kdevplatform version
 set(KDEVPLATFORM_VERSION_MAJOR 1)
 set(KDEVPLATFORM_VERSION_MINOR 7)
-set(KDEVPLATFORM_VERSION_PATCH 0)
+set(KDEVPLATFORM_VERSION_PATCH 1)
 
 # plugin versions listed in the .desktop files
 set(KDEV_PLUGIN_VERSION 17)

=== debian/changelog ===
kdevplatform (1.7.1-0ubuntu2) vivid; urgency=medium

  * Version bump due to bad upload.. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Mar 2015 21:09:35 -0700

kdevplatform (1.7.1-0ubuntu1) vivid; urgency=medium

  * Release to Archive 
  * Fix version

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Mar 2015 19:01:14 -0700

kdevplatform (1.7.1-0ubuntu2) utopic; urgency=medium

  * Utopic backport 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 09 Mar 2015 07:49:36 -0700

kdevplatform (1.7.0-2ubuntu3) vivid; urgency=medium

  * Drop excludeSvnPluginFromCompilation.diff which has been dropped
    from Debian LP: #1415451

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Jan 2015 13:12:00 +0100

kdevplatform (1.7.0-2ubuntu2) vivid; urgency=medium

  * Recommends konsole4-kpart not suggests konsole

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Dec 2014 16:16:18 +0100

kdevplatform (1.7.0-2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/tests/*, debian/control:
      + Add autopkgtest.
    - debian/control:
      + Replaces/Breaks kdevplatform6-libs.
    - debian/patches/excludeSvnPluginFromCompilation.diff,
      debian/kdevplatform8-libs.install, debian/control:
      + Do not compile incompatible licensed SVN plugin.

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 07 Nov 2014 09:14:53 +0100

kdevplatform (1.7.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Add XS-Testsuite: autopkgtest

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 30 Aug 2014 03:52:11 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kdevplatform
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
@@ -12,10 +13,11 @@
                libboost-serialization-dev,
                libgrantlee-dev (>= 0.1.7),
                libqjson-dev,
+               libsvn-dev,
                libqtwebkit-dev,
-               libsvn-dev,
                pkg-kde-tools (>= 0.9.0)
 Standards-Version: 3.9.5
+XS-Testsuite: autopkgtest
 Homepage: http://www.kdevelop.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevplatform.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevplatform.git
@@ -29,13 +31,16 @@
           kdevplatform2-libs,
           kdevplatform3-libs,
           kdevplatform5-libs,
+          kdevplatform6-libs,
           kdevplatform7-libs
 Breaks: kdevplatform1-libs,
         kdevplatform2-libs,
         kdevplatform3-libs,
         kdevplatform5-libs,
+        kdevplatform6-libs,
         kdevplatform7-libs
-Suggests: cvs, git, kdevplatform-l10n, konsole
+Recommends: konsole4-kpart
+Suggests: cvs, git, kdevplatform-l10n
 Description: shared libraries for the KDevelop platform
  This package contains shared libraries needed to run integrated development
  environments based on the KDevelop platform.
